hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ted Yu (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-6775) Use ZK.multi when available for HBASE-6710 0.92/0.94 compatibility fix
Date Sat, 27 Oct 2012 15:19:12 GMT

    [ https://issues.apache.org/jira/browse/HBASE-6775?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13485452#comment-13485452
] 

Ted Yu commented on HBASE-6775:
-------------------------------

Finding the version of zookeeper ensemble doesn't have to be achieved by one command.
If HBase cluster comes up normally but call to multi() times out (more than once), we can
be certain that zookeeper ensemble doesn't support multi().
Giving user config parameter as suggested above is fine too.
                
> Use ZK.multi when available for HBASE-6710 0.92/0.94 compatibility fix
> ----------------------------------------------------------------------
>
>                 Key: HBASE-6775
>                 URL: https://issues.apache.org/jira/browse/HBASE-6775
>             Project: HBase
>          Issue Type: Improvement
>          Components: Zookeeper
>    Affects Versions: 0.94.2
>            Reporter: Gregory Chanan
>            Assignee: Gregory Chanan
>            Priority: Minor
>             Fix For: 0.94.4
>
>
> HBASE-6710 fixed a 0.92/0.94 compatibility issue by writing two znodes in different formats.
> If a ZK failure occurs between the writing of the two znodes, strange behavior can result.
> This issue is a reminder to change these two ZK writes to use ZK.multi when we require
ZK 3.4+. 

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message